Sikkerhetsoppdateringer tilgjengelig for Adobe Flash Player

Utgivelsesdato: 12. mai 2015

Sist oppdatert: 3. juli 2015

Sikkerhetsproblemidentifikator: APSB15-09

Prioritet: Se tabellen nedenfor

CVE-numre: CVE-2015-3044, CVE-2015-3077, CVE-2015-3078, CVE-2015-3079, CVE-2015-3080, CVE-2015-3081, CVE-2015-3082, CVE-2015-3083, CVE-2015-3084, CVE-2015-3085, CVE-2015-3086, CVE-2015-3087, CVE-2015-3088, CVE-2015-3089, CVE-2015-3090, CVE-2015-3091, CVE-2015-3092, CVE-2015-3093

Plattform: alle plattformer

Sammendrag

Adobe har lansert sikkerhetsoppdateringer for Adobe Flash Player for Windows, Macintosh og Linux. Disse oppdateringene løser sikkerhetsproblemer som kan gjøre det mulig for en angriper å ta kontroll over det berørte systemet. Adobe anbefaler at brukerne oppdaterer produktinstallasjonene til de nyeste versjonene:

  • Brukere av Adobe Flash Player desktop runtime for Windows og Macintosh bør oppdatere til Adobe Flash Player 17.0.0.188.
  • Brukere av Adobe Flash Player Extended Support Release bør oppdatere til Adobe Flash Player 13.0.0.289.
  • Brukere av Adobe Flash Player for Linux bør oppdatere til Adobe Flash Player 11.2.202.460.
  • Adobe Flash Player som er installert med Google Chrome og Internet Explorer for Windows 8.x, oppdateres automatisk til versjon 17.0.0.188.
  • Brukere av Adobe AIR desktop runtime bør oppdatere til Adobe AIR 17.0.0.172.
  • Brukere av Adobe AIR SDK og AIR SDK & Compiler bør oppdatere til Adobe AIR 17.0.0.172.

Berørte programversjoner

  • Adobe Flash Player 17.0.0.169 og tidligere versjoner
  • Adobe Flash Player 13.0.0.281 og tidligere 13.x-versjoner
  • Adobe Flash Player 11.2.202.457 og tidligere 11.x-versjoner
  • AIR Desktop Runtime 17.0.0.144 og tidligere versjoner
  • AIR SDK og SDK & Compiler 17.0.0.144 og tidligere versjoner

Du sjekker Adobe Flash Player-versjonsnummeret ved å gå til siden About Flash Player eller høyreklikke på det aktuelle innholdet i Flash Player og velge "About Adobe (eller Macromedia) Flash Player" i menyen. Hvis du bruker flere nettlesere, må du utføre denne kontrollen i alle nettleserne du har installert i systemet.

Kontroller hvilken Adobe AIR-versjon som er installert på systemet, ved å følge instruksjonene i Adobe AIR TechNote.

Løsning

Adobe anbefaler at brukerne oppdaterer sine programvareinstallasjoner ved å følge instruksjonene nedenfor: 

  • Adobe anbefaler brukere av Adobe Flash Player Desktop Runtime for Windows og Macintosh å oppdatere til Adobe Flash Player 17.0.0.188, som kan lastes ned fra nedlastingssenteret for Adobe Flash Player, eller via oppdateringsmekanismen i produktet når de blir bedt om det.

  • Adobe anbefaler brukere av Adobe Flash Player Extended Support Release å oppdatere til versjon 13.0.0.289 ved å gå til http://helpx.adobe.com/no/flash-player/kb/archived-flash-player-versions.html.

  • Adobe anbefaler brukere av Adobe Flash Player for Linux å oppdatere til Adobe Flash Player 11.2.202.460 ved å gå til _noAdobe Flash Player Download Center.

  • Adobe Flash Player installert sammen med Google Chrome blir automatisk oppdatert til den nyeste Google Chrome-versjonen, som vil omfatte Adobe Flash Player 17.0.0.188. 

  • Adobe Flash Player installert sammen med Internet Explorer 8 blir automatisk oppdatert til den nyeste Internet Explorer-versjonen, som vil omfatte Adobe Flash Player 17.0.0.188. 

  • Adobe anbefaler brukere av Adobe AIR desktop runtime å oppdatere til versjon 17.0.0.172 ved å gå til nedlastingssenteret for Adobe AIR  

  • Adobe anbefaler brukere av Adobe AIR SDK å oppdatere til versjon 17.0.0.172 ved å gå til nedlastingssenteret for Adobe AIR  

  • Adobe anbefaler brukere av Adobe AIR SDK & Compiler å oppdatere til versjon 17.0.0.172 ved å gå til nedlastingssenteret for Adobe AIR

Klassifiseringer for prioritet og alvorlighetsgrad

Adobe kategoriserer disse oppdateringene med følgende prioritetsklassifiseringer og anbefaler at brukerne oppdaterer installasjonen til den nyeste versjonen:

Produkt Berørte versjoner Plattform Prioritet klassifisering
Adobe Flash Player Desktop Runtime 17.0.0.169 og eldre versjoner
Windows og Macintosh
1
Adobe Flash Player Extended Support Release 13.0.0.281 og eldre versjoner Windows og Macintosh
1
Adobe Flash Player for Google Chrome  17.0.0.169 og eldre versjoner Windows, Macintosh og Linux
1
Adobe Flash Player for Internet Explorer 10 og Internet Explorer 11 17.0.0.169 og eldre versjoner Windows 8.0 og 8.1 1
Adobe Flash Player 11.2.202.457 og eldre versjoner Linux 3
AIR Desktop Runtime 17.0.0.144 og eldre Windows og Macintosh  3
AIR SDK 17.0.0.144 og eldre Windows, Macintosh, Android og iOS  3
AIR SDK & Compiler 17.0.0.144 og eldre Windows, Macintosh, Android og iOS  3

Disse oppdateringene løser kritiske sikkerhetsproblemer i programvaren.

Detaljer

Adobe har lansert sikkerhetsoppdateringer for Adobe Flash Player for Windows, Macintosh og Linux.  Disse oppdateringene løser sikkerhetsproblemer som kan gjøre det mulig for en angriper å ta kontroll over det berørte systemet.  Adobe anbefaler at brukerne oppdaterer produktinstallasjonene til de nyeste versjonene:

  • Brukere av Adobe Flash Player desktop runtime for Windows og Macintosh bør oppdatere til Adobe Flash Player 17.0.0.188.

  • Brukere av Adobe Flash Player Extended Support Release bør oppdatere til Adobe Flash Player 13.0.0.289.

  • Brukere av Adobe Flash Player for Linux bør oppdatere til Adobe Flash Player 11.2.202.460.

  • Adobe Flash Player som er installert med Google Chrome og Internet Explorer for Windows 8.x, oppdateres automatisk til versjon 17.0.0.188.

  • Brukere av Adobe AIR desktop runtime bør oppdatere til Adobe AIR 17.0.0.172.

  • Brukere av Adobe AIR SDK og AIR SDK & Compiler bør oppdatere til Adobe AIR 17.0.0.172.

Disse oppdateringene løser sikkerhetsproblemer med minneødeleggelse som kan føre til kjøring av kode (CVE-2015-3078, CVE-2015-3089, CVE-2015-3090, CVE-2015-3093).

Disse oppdateringene løser et problem med heap-overflyt som kan føre til kjøring av kode (CVE-2015-3088). 

Disse oppdateringene løser et "time-of-check time-of-use"-sikkerhetsproblem (TOCTOU) som kan utnyttes til å omgå beskyttet modus i Internet Explorer (CVE-2015-3081). 

Disse oppdateringene løser problemer med valideringsomgåelse som kan utnyttes til å skrive vilkårlige data til filsystemet med brukertillatelser (CVE-2015-3082, CVE-2015-3083, CVE-2015-3085).  

Disse oppdateringene løser et problem med heltallsoverflyt som kan føre til kjøring av kode (CVE-2015-3087). 

Disse oppdateringene løser type confusion-sikkerhetsproblemer som kan føre til kjøring av kode (CVE-2015-3077, CVE-2015-3084, CVE-2015-3086).

Disse oppdateringene løser et "use-after-free"-sikkerhetsproblem som kan føre til kjøring av kode (CVE-2015-3080).

Disse oppdateringene løser et sikkerhetsproblem med minnelekkasje som kan brukes til å omgå ASLR (CVE-2015-3091, CVE-2015-3092). 

Disse oppdateringene løser et problem med sikkerhetsomgåelse som kan føre til avsløring av informasjon (CVE-2015-3079), og gir ytterligere forsterking mot CVE-2015-3044. 

Berørte programmer   Anbefalt Player-oppdatering Tilgjengelighet
Flash Player Desktop Runtime
  17.0.0.188

Nedlastingssenter for Flash Player

Flash Player Distribution

Adobe Flash Player Extended Support Release   13.0.0.289 Extended Support
Flash Player for Linux   11.2.202.460 Nedlastingssenter for Flash Player
Flash Player for Google Chrome   17.0.0.188 Google Chrome-lanseringer
Flash Player for Internet Explorer 10 og Internet Explorer 11   17.0.0.188
Microsoft Security Advisory
AIR Desktop Runtime   17.0.0.172 AIR-nedlastingssenter
AIR SDK   17.0.0.172 Nedlasting av AIR-programutviklingspakke
AIR SDK & Compiler   17.0.0.172 Nedlasting av AIR-programutviklingspakke

Takk

Adobe takker følgende personer og firmaer for at de rapporterte disse sikkerhetsproblemene og samarbeider med oss for å hjelpe oss med å beskytte våre kunders sikkerhet:

  • bilou i samarbeid med Chromium Vulnerability Rewards program (CVE-2015-3080, CVE-2015-3093, CVE-2015-3089, CVE-2015-3087, CVE-2015-3088)   

  • Chris Evans fra Google Project Zero (CVE-2015-3078, CVE-2015-3090, CVE-2015-3091, CVE-2015-3092)

  • Jietao Yang og  Jihui Lu fra KeenTeam (@K33nTeam) (CVE-2015-3083)  

  • Jietao Yang fra KeenTeam (@K33nTeam) (CVE-2015-3082) 

  • Jihui Lu fra KeenTeam (@K33nTeam) (CVE-2015-3081) 

  • Jouko Pynnönen fra Klikki Oy og Bas Venis (CVE-2015-3044, CVE-2015-3079)

  • Natalie Silvanovich fra Google Project Zero (CVE-2015-3077, CVE-2015-3084, CVE-2015-3086) 

  • Nicolas Joly i samarbeid med HPs Zero Day Initiative (CVE-2015-3085)

Revisjoner

3. juli 2015: Lagt til anerkjennelse av Bas Venis for separat rapportering av CVE-2015-3044 og CVE-2015-3079.